Subject: Re: linux-next: pci tree build failure

From: Matthew Wilcox <[email-masked]>
Date: Mon, 29 Jun 2009 19:24:53 -0700

On Mon, Jun 29, 2009 at 07:13:24PM -0700, Jesse Barnes wrote:
> On Tue, 30 Jun 2009 12:07:27 +1000
> Stephen Rothwell <[email-masked]> wrote:
> 
> > Hi Jesse,
> > 
> > Today's linux-next build (x86_64 allmodconfig) failed like this:
> > 
> > ERROR: "pci_claim_resource" [drivers/pcmcia/yenta_socket.ko]
> > undefined!
> > 
> > Caused by commit 6bb04b65dbff5a5bb01617351dbb0af577084752 ("yenta: Use
> > pci_claim_resource").  yenta can be built as a module, but
> > pci_claim_resource is not exported ...
> > 
> > I have used the pci tree from next-20090629 for today.
> 
> Damn, thought I built that.  linux-next earns its keep yet again.

Sorry about that.  I thought I'd checked that.  Must have been confused
with another function.  There do seem to be legitimate *drivers*
that could use it (i2o for one), so I propose making it a full-bodied
'EXPORT_SYMBOL' and not bother with the _GPL tag.  Thoughts?